Skip to main content
GET
/
api
/
blocks
/
latest
Get latest block
curl --request GET \
  --url https://nexus-dev.gerowallet.io/api/blocks/latest \
  --header 'Authorization: Bearer <token>'
{
  "time": 123,
  "height": 123,
  "number": 123,
  "hash": "<string>",
  "slot": 123,
  "epoch": 123,
  "era": "<string>",
  "epoch_slot": 123,
  "slot_leader": "<string>",
  "size": 123,
  "tx_count": 123,
  "output": "<string>",
  "fees": "<string>",
  "block_vrf": "<string>",
  "op_cert": "<string>",
  "op_cert_counter": 123,
  "op_cert_kes_period": 123,
  "op_cert_sigma": "<string>",
  "previous_block": "<string>",
  "next_block": "<string>",
  "confirmations": 123,
  "issuer_vkey": "<string>",
  "nonce_vrf": {
    "output": "<string>",
    "proof": "<string>"
  },
  "leader_vrf": {
    "output": "<string>",
    "proof": "<string>"
  },
  "vrf_result": {
    "output": "<string>",
    "proof": "<string>"
  },
  "block_body_hash": "<string>",
  "protocol_version": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://nexus.gerowallet.io/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Token Authentication

Query Parameters

network
enum<string>
Available options:
MAINNET,
PREPROD

Response

Latest block retrieved

time
integer<int64>
height
integer<int64>
number
integer<int64>
hash
string
slot
integer<int64>
epoch
integer<int32>
era
string
epoch_slot
integer<int64>
slot_leader
string
size
integer<int32>
tx_count
integer<int32>
output
string
fees
string
block_vrf
string
op_cert
string
op_cert_counter
integer<int64>
op_cert_kes_period
integer<int64>
op_cert_sigma
string
previous_block
string
next_block
string
confirmations
integer<int32>
issuer_vkey
string
nonce_vrf
object
leader_vrf
object
vrf_result
object
block_body_hash
string
protocol_version
string